#!/bin/bash
echo "НЕ ОБЯЗАТЕЛЬНО ЗАПОЛНЯТЬ"
read -rp "DEBUG: [True], Введите 0 или 1: " DEBUG
DEBUG=${DEBUG:-1}
read -rp "CELERY_BROKER_URL: [redis://localhost:6379/0] (вместо localhost указать имя контейнера): " CELERY_BROKER_URL
CELERY_BROKER_URL=${CELERY_BROKER_URL:-'redis://redis:6379/0'}

read -rp "CELERY_CACHE_BACKEND: [redis://localhost:6379/1] (вместо localhost указать имя контейнера): " CELERY_CACHE_BACKEND
CELERY_CACHE_BACKEND=${CELERY_CACHE_BACKEND:-'redis://redis:6379/1'}


read -rp "JWT_AUTH_TOKEN FOR https://probe.fbrq.cloud/v1: " JWT_AUTH_TOKEN

read -rp 'DJANGO_DB [postgresql]: ' DJANGO_DB
DJANGO_DB=${DJANGO_DB:-'postgresql'}
read -rp 'POSTGRES_HOST [db] (name_container with db): ' POSTGRES_HOST
POSTGRES_HOST=${POSTGRES_HOST:-'db'}
read -rp 'POSTGRES_NAME [postgres]:  ' POSTGRES_NAME
POSTGRES_NAME=${POSTGRES_NAME:-'postgres'}
read -rp 'POSTGRES_USER [postgres]:  ' POSTGRES_USER
POSTGRES_USER=${POSTGRES_USER:-'postgres'}
read -rp 'POSTGRES_PASSWORD [postgres]:  ' POSTGRES_PASSWORD
POSTGRES_PASSWORD=${POSTGRES_PASSWORD:-'postgres'}
read -rp 'POSTGRES_PORT [5432]:  ' POSTGRES_PORT
POSTGRES_PORT=${POSTGRES_PORT:-'5432'}

read -rp 'ADMIN_USERNAME: ' ADMIN_USERNAME
ADMIN_USERNAME=${ADMIN_USERNAME:-'admin'}
read -rp 'ADMIN_EMAIL: ' ADMIN_EMAIL
ADMIN_EMAIL=${ADMIN_EMAIL:-'admin@mail.ru'}
read -rp 'ADMIN_PASSWORD: ' ADMIN_PASSWORD
ADMIN_PASSWORD=${ADMIN_PASSWORD:-'admin'}

echo ''
echo "СЛЕДУЮЩИЕ ПЕРЕМЕННЫЕ ОБЯЗАТЕЛЬНЫ ДЛЯ ЗАПОЛНЕНИЯ!!!"
read -rp 'EMAIL_HOST: ' EMAIL_HOST
read -rp 'EMAIL_PORT: ' EMAIL_PORT
read -rp 'EMAIL_HOST_USER: ' EMAIL_HOST_USER
read -rp 'DEFAULT_FROM_EMAIL: ' DEFAULT_FROM_EMAIL
read -rp 'EMAIL_HOST_PASSWORD: ' EMAIL_HOST_PASSWORD

env_file="./.env"


cat << EOF >$env_file
DEBUG=$DEBUG
CELERY_BROKER_URL=$CELERY_BROKER_URL
JWT_AUTH_TOKEN=$JWT_AUTH_TOKEN

DJANGO_DB=$DJANGO_DB
POSTGRES_HOST=$POSTGRES_HOST
POSTGRES_NAME=$POSTGRES_NAME
POSTGRES_USER=$POSTGRES_USER
POSTGRES_PASSWORD=$POSTGRES_PASSWORD
POSTGRES_PORT=$POSTGRES_PORT

ADMIN_USERNAME=$ADMIN_USERNAME
ADMIN_EMAIL=$ADMIN_EMAIL
ADMIN_PASSWORD=$ADMIN_PASSWORD

EMAIL_HOST = $EMAIL_HOST
EMAIL_PORT = $EMAIL_PORT
EMAIL_HOST_USER = $EMAIL_HOST_USER
DEFAULT_FROM_EMAIL = $DEFAULT_FROM_EMAIL
EMAIL_HOST_PASSWORD = $EMAIL_HOST_PASSWORD
EOF

